Bug 1289850 - Review Request: rubygem-mini_portile2 - Simplistic port-like solution for developers
Review Request: rubygem-mini_portile2 - Simplistic port-like solution for dev...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ilya Gradina
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 02:16 EST by Mamoru TASAKA
Modified: 2016-02-15 23:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 23:34:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ilya.gradina: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2015-12-09 02:16:33 EST
Spec URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-mini_portile2.spec
SRPM URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-mini_portile2-2.0.0-1.fc.src.rpm
Description: 
Simplistic port-like solution for developers. It provides a standard and
simplified way to compile against dependency libraries without messing up your
system.

Fedora Account System Username: mtasaka
Comment 1 Mamoru TASAKA 2016-01-07 01:12:10 EST
ping?
Comment 2 Ilya Gradina 2016-01-10 17:20:29 EST
Hi Mamoru,
Sorry, that for a long time didn't answer.

1. release new version 2.1.0
https://github.com/flavorjones/mini_portile/archive/v2.1.0.tar.gz
2. I don't understand apropos tests. Why not use it :
"ruby -Ilib -e 'Dir.glob "./test/test_*.rb", &method(:require)' "
result :  18 tests, 23 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0 notifications
100% passed
Comment 3 Mamoru TASAKA 2016-01-13 01:51:27 EST
Thank you for comments.

https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-mini_portile2.spec
https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-mini_portile2-2.1.0-1.fc.src.rpm

Unfortunately, currently test suite cannot be executed due to missing BR on Fedora (however this is only for executing test suite : runtime dependency is all available on Fedora)
Comment 4 Mamoru TASAKA 2016-01-22 12:31:19 EST
ping again?
Comment 5 Mamoru TASAKA 2016-01-22 12:32:40 EST
This package is needed to upgrade rubygem-nokogiri to the latest.
Comment 6 Ilya Gradina 2016-01-22 12:47:47 EST
Hi Mamoru,
Sorry for the wait.
I approve this package.
Comment 7 Mamoru TASAKA 2016-01-25 22:24:13 EST
Thank you!
Comment 8 Gwyn Ciesla 2016-01-26 10:52:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-mini_portile2
Comment 9 Mamoru TASAKA 2016-02-15 23:34:27 EST
Already pushed into repository, closing. Thank you for review.

Note You need to log in before you can comment on or make changes to this bug.